<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Hook;
use App\Http\Resources\HookCollection;
use App\Rules\HookNameCheckor;

class HookController extends Controller
{
    public function list()
    {
        return new HookCollection(Hook::list());
    }

    public function add(Request $request)
    {
        $this->validate($request, [
            'name'=>new HookNameCheckor(),
            'desc'=>'required',
            'execute_command'=>'required'
        ]);


        if (Hook::add($request->all())) {
            return response()->json(['msg'=>'success']);
        } else {
            return response()->json(['exception'=>'failed'], 500);
        }
    }

    public function edit(Request $request, $id)
    {
        $this->validate($request, [
            'name'=>'required',
            'desc'=>'required',
            'execute_command'=>'required'
        ]);

        $hook=Hook::findOrFail($id);



        if ($hook->edit($request->all())) {
            return response()->json(['msg'=>'success']);
        } else {
            return response()->json(['exception'=>'failed'], 500);
        }
    }
}
