<?php

namespace App\Jobs;

use Illuminate\Bus\Queueable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use App\Events\HookEvent;

class ProcessHook implements ShouldQueue
{
    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;

    protected $hook=null;

    protected $data=[];
    /**
     * Create a new job instance.
     *
     * @return void
     */
    public function __construct($hook, $data)
    {
        $this->hook=$hook;
        $this->data=$data;
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    {
        $command=sprintf("cd %s && %s", $this->hook->command_working_directory, $this->hook->execute_command);

        $output='';
        $return_var='';
        $rs= exec($command, $output, $return_var);
        var_dump($rs, $output, $return_var);

        event(new HookEvent($this->hook, ['output'=>$output,'return_var'=>$return_var]));
    }
}
