import axios from 'axios'
import * as types from '../mutation-types'

// state
export const state = {
  hooks:[],
  hooksById:{}
}

// getters
export const getters = {
  hooks: state => state.hooks,
  hooksById: state => state.hooksById
}

// mutations
export const mutations = {

  [types.FETCH_HOOK] (state, { hooks,hooksById }) {

    state.hooks = hooks

    state.hooksById = hooksById
  }
}

// actions
export const actions = {

  async fetchHook ({ commit }) {
    try {
      const { data } = await axios.get('/api/hook')

      commit(types.FETCH_HOOK, { hooks: data.data,hooksById:data.dataById })
    } catch (e) {
      commit(types.FETCH_HOOK, { hooks: [],hooksById:{}})
    }
  }

}
